using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace OTSSignsOrchestrator.Core.Migrations
{
    /// <inheritdoc />
    public partial class AddPerInstanceCifsCredentials : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CifsExtraOptions",
                table: "CmsInstances",
                type: "TEXT",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "CifsPassword",
                table: "CmsInstances",
                type: "TEXT",
                maxLength: 1000,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "CifsServer",
                table: "CmsInstances",
                type: "TEXT",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "CifsShareBasePath",
                table: "CmsInstances",
                type: "TEXT",
                maxLength: 500,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "CifsUsername",
                table: "CmsInstances",
                type: "TEXT",
                maxLength: 200,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CifsExtraOptions",
                table: "CmsInstances");

            migrationBuilder.DropColumn(
                name: "CifsPassword",
                table: "CmsInstances");

            migrationBuilder.DropColumn(
                name: "CifsServer",
                table: "CmsInstances");

            migrationBuilder.DropColumn(
                name: "CifsShareBasePath",
                table: "CmsInstances");

            migrationBuilder.DropColumn(
                name: "CifsUsername",
                table: "CmsInstances");
        }
    }
}
